import request from '@/utils/request'

// 查询数据采集列表
export function listAcquisition(query) {
  return request({
    url: '/crops/acquisition/list',
    method: 'get',
    params: query
  })
}

// 查询数据采集详细
export function getAcquisition(id) {
  return request({
    url: '/crops/acquisition/' + id,
    method: 'get'
  })
}

// 新增数据采集
export function addAcquisition(data) {
  return request({
    url: '/crops/acquisition',
    method: 'post',
    data: data
  })
}

// 修改数据采集
export function updateAcquisition(data) {
  return request({
    url: '/crops/acquisition',
    method: 'put',
    data: data
  })
}

// 删除数据采集
export function delAcquisition(id) {
  return request({
    url: '/crops/acquisition/' + id,
    method: 'delete'
  })
}
